Loading...
Searching...
No Matches
caf::default_actor_traits< T, true > Struct Template Reference

Default implementation of actor_traits for regular actors. More...

`#include <actor_traits.hpp>`

## Static Public Attributes

static constexpr bool | is_dynamically_typed
| Denotes whether T is dynamically typed.
static constexpr bool | is_statically_typed
| Denotes whether T is statically typed.
static constexpr bool | is_blocking
| Denotes whether T is a blocking actor type.
static constexpr bool | is_non_blocking
| Denotes whether T is a non-blocking actor type.
static constexpr bool | is_incomplete
| Denotes whether T is an incomplete actor type that misses one or more markers.

## Detailed Description

template<class T>
struct caf::default_actor_traits< T, true >

Default implementation of actor_traits for regular actors.

## Member Data Documentation

## is_blocking

template<class T>

bool caf::default_actor_traits< T, true >::is_blocking

static constexpr

Initial value:
=
std::is_base_of<blocking_actor_base, T>::value

Denotes whether T is a blocking actor type.

## is_dynamically_typed

template<class T>

bool caf::default_actor_traits< T, true >::is_dynamically_typed

static constexpr

Initial value:
=
std::is_base_of<dynamically_typed_actor_base, T>::value

Denotes whether T is dynamically typed.

## is_incomplete

template<class T>

bool caf::default_actor_traits< T, true >::is_incomplete

static constexpr

Initial value:
=
(!is_dynamically_typed && !is_statically_typed)
|| (!is_blocking && !is_non_blocking)
caf::default_actor_traits< T, true >::is_statically_typed
static constexpr bool is_statically_typed
Denotes whether T is statically typed.
Definition actor_traits.hpp:72
caf::default_actor_traits< T, true >::is_non_blocking
static constexpr bool is_non_blocking
Denotes whether T is a non-blocking actor type.
Definition actor_traits.hpp:80
caf::default_actor_traits< T, true >::is_blocking
static constexpr bool is_blocking
Denotes whether T is a blocking actor type.
Definition actor_traits.hpp:76
caf::default_actor_traits< T, true >::is_dynamically_typed
static constexpr bool is_dynamically_typed
Denotes whether T is dynamically typed.
Definition actor_traits.hpp:68

Denotes whether T is an incomplete actor type that misses one or more markers.

## is_non_blocking

template<class T>

bool caf::default_actor_traits< T, true >::is_non_blocking

static constexpr

Initial value:
=
std::is_base_of<non_blocking_actor_base, T>::value

Denotes whether T is a non-blocking actor type.

## is_statically_typed

template<class T>

bool caf::default_actor_traits< T, true >::is_statically_typed

static constexpr

Initial value:
=
std::is_base_of<statically_typed_actor_base, T>::value

Denotes whether T is statically typed.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/actor_traits.hpp